import request from '@/config/axios'

// 获取实习学生记录分页
export const getStudentPage = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/student/page',
    params
  })
}

// 获得学生实习记录状态统计
export const getRecordStatusCount = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/student/get/record-status/count',
    params
  })
}

// 保存实习证书
export const saveCertificate = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/recruit/student/save/evaluate',
    data
  })
}

// 保存推荐信
export const saveRecommend = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/recruit/student/upload/recommendation-letter',
    data
  })
}